FileItem | Methods |  |

## getFileExtension

업로드 된 파일의 확장자를 반환합니다.

#### Syntax

    String getFileExtension ()

#### Parameters

#### Return Values

업로드 된 파일의 확장자를 반환합니다.

#### Remarks

#### Sample Codes

Java

    FileUpload fileUpload = new FileUpload(request, response);
    try {
    	fileUpload.setAutoMakeDirs(true);
    	String saveDirPath = request.getRealPath("/");
    	saveDirPath += ("UploadDir" + File.separator);

    	fileUpload.startUpload(saveDirPath);

    	FileItem fileItem = fileUpload.getFileItem("files");
    	if(fileItem != null) {
    		fileItem.save(saveDirPath);

    		// FileItem 객체로 아래와 같은 정보를 가져올 수 있습니다.
    		String name = fileItem.getName();
    		String fileName = fileItem.getFileName();
    		String lastSavedDirPath = fileItem.getLastSavedDirPath();
    		String lastSavedFilePath = fileItem.getLastSavedFilePath();
    		String lastSavedFileName = fileItem.getLastSavedFileName();
    		long fileSize = fileItem.getFileSize();
    		String fileNameWithoutFileExt = fileItem.getFileNameWithoutFileExt();
    		String fileExtension = fileItem.getFileExtension();
    		String contentType = fileItem.getContentType();
    		boolean saved = fileItem.isSaved();
    		boolean emptyFile = fileItem.isEmptyFile();
    	}
    }
    catch(CrossUploaderException ex) {
    }
    catch(Exception ex) {
    	fileUpload.deleteUploadedFiles();
    }
    finally {
    	fileUpload.clear();
    }